# Cybus::Link

The **Cybus::Link** resource defines a direct hyperlink to a web resource. This can be an external resource (e.g., <https://github.com>) or an internal resource served from within a container (for example, when the container hosts its own web server).

Links are typically displayed as buttons in the Connectware interface, giving users quick access to related content such as dashboards, documentation, or service-specific tools.

## Link Properties

| Property                      | Type     | Required     | Default |
| ----------------------------- | -------- | ------------ | ------- |
| [name](#name)                 | `string` | **Required** |         |
| [href](#href)                 | `string` | **Required** |         |
| [ingressRoute](#ingressroute) | `string` | Optional     |         |

### name

Name of the link (label on the button).

* Type: `string`
  * Maximum length: 20 characters

### href

Href of the button link.

* Type: `string`

{% hint style="warning" %}
If the internal HTTP server of a service container requires a trailing slash or a specific path in the URL, make sure to include this in the `href` property of the link.
{% endhint %}

### ingressRoute

Reference to an already declared [Cybus::IngressRoute](/2-1-2/documentation/services/service-commissioning-files/resources/cybus-ingressroute.md). Use `!ref <logicalId>`.

If this property is used, the `href` property must be defined relative to the ingress route, i.e., only the path of the inner HTTP server must be defined.

* Type: `string`

## Example

{% code lineNumbers="true" %}

```yaml
myDashboardLink:
  type: Cybus::Link
  properties:
    ingressRoute: !ref dashboardRoute
    href: ui/
    name: Dashboard

myExternalLink:
  type: Cybus::Link
  properties:
    href: https://github.com
    name: Github
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.cybus.io/2-1-2/documentation/services/service-commissioning-files/resources/cybus-link.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
